Bug 1048826 - [PATCH] Log host kernel
Summary: [PATCH] Log host kernel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-06 12:01 UTC by Vít Ondruch
Modified: 2014-10-10 16:04 UTC (History)
4 users (show)

Fixed In Version: mock-1.1.41-3.fc19
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-01 22:22:53 UTC


Attachments (Terms of Use)
host_kernel plugin (3.19 KB, patch)
2014-01-06 12:01 UTC, Vít Ondruch
no flags Details | Diff

Description Vít Ondruch 2014-01-06 12:01:08 UTC
Created attachment 846049 [details]
host_kernel plugin

Recently, I met several issues caused by host Kernel causing my builds to fail, although their worked on my environment just fine. Since I believe the host kernel information is nowhere available in Koji, I put together this small plugin, which logs the host kernel into host_kernel log file alongside build.log, root.log etc. Would you be so kind and apply this patch to mock? Thank you.

Comment 1 Dan Horák 2014-01-09 12:00:27 UTC
you can already find the information about the running kernel in root.log

for example:
...
DEBUG backend.py:472:  kver == 3.10.9-200.fc19.x86_64
...

Comment 2 Vít Ondruch 2014-01-09 12:10:27 UTC
(In reply to Dan Horák from comment #1)
Thanks for the tip! So the information is there, but hard to find. Who would expect that kernel version is not accompanied by kernel word. One would really need to know what to search for.

So is there chance to accept my patch or make the kernel version more discoverable?

Comment 3 Miroslav Suchý 2014-05-16 07:42:10 UTC
Fixed in 36c0e42332522f8614074d183477a84528bb574c

Comment 4 Fedora Update System 2014-05-27 15:39:30 UTC
mock-1.1.39-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.39-1.fc19

Comment 5 Fedora Update System 2014-05-27 15:39:46 UTC
mock-1.1.39-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.39-1.el6

Comment 6 Fedora Update System 2014-05-27 15:40:03 UTC
mock-1.1.39-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.39-1.fc20

Comment 7 Fedora Update System 2014-05-27 19:11:59 UTC
Package mock-1.1.39-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.1.39-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1506/mock-1.1.39-1.el6
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-06-01 22:22:53 UTC
mock-1.1.39-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-06-25 20:00:11 UTC
mock-1.1.39-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-07-18 02:13:28 UTC
mock-1.1.40-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.40-2.fc20

Comment 11 Fedora Update System 2014-07-18 02:13:53 UTC
mock-1.1.40-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.40-2.fc19

Comment 12 Fedora Update System 2014-07-18 02:14:16 UTC
mock-1.1.40-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.40-2.el6

Comment 13 Fedora Update System 2014-07-18 17:45:35 UTC
mock-1.1.41-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.41-1.fc20

Comment 14 Fedora Update System 2014-07-18 17:46:01 UTC
mock-1.1.41-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.41-1.fc19

Comment 15 Fedora Update System 2014-07-18 17:46:27 UTC
mock-1.1.41-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.41-1.el6

Comment 16 Fedora Update System 2014-07-20 03:24:46 UTC
mock-1.1.41-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-07-22 18:08:05 UTC
mock-1.1.41-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-09-16 16:47:04 UTC
mock-1.1.41-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.41-2.fc19

Comment 19 Fedora Update System 2014-09-30 09:00:18 UTC
mock-1.1.41-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.41-3.fc19

Comment 20 Fedora Update System 2014-10-10 16:04:29 UTC
mock-1.1.41-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.